cURL
curl --request PUT \
--url https://cockroachlabs.cloud/api/scim/v2/Users/.search \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"attributes":"string","excludedAttributes":"string","filter":"string"}'{
"Resources": [
{
"active": true,
"displayName": "<string>",
"emails": [
{
"primary": true,
"value": "<string>",
"display": "<string>",
"type": "<string>"
}
],
"externalId": "<string>",
"groups": [
{
"display": "<string>",
"ref": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"id": "<string>",
"meta": {
"created": "<string>",
"lastModified": "<string>",
"location": "<string>",
"resourceType": "<string>"
},
"name": {
"familyName": "<string>",
"givenName": "<string>"
},
"schemas": [
"<string>"
],
"userName": "<string>"
}
],
"schemas": [
"<string>"
],
"totalResults": 123
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Can be used by the following roles assigned at the organization scope:
- ORG_ADMIN
PUT
/
api
/
scim
/
v2
/
Users
/
.search
cURL
curl --request PUT \
--url https://cockroachlabs.cloud/api/scim/v2/Users/.search \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"attributes":"string","excludedAttributes":"string","filter":"string"}'{
"Resources": [
{
"active": true,
"displayName": "<string>",
"emails": [
{
"primary": true,
"value": "<string>",
"display": "<string>",
"type": "<string>"
}
],
"externalId": "<string>",
"groups": [
{
"display": "<string>",
"ref": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"id": "<string>",
"meta": {
"created": "<string>",
"lastModified": "<string>",
"location": "<string>",
"resourceType": "<string>"
},
"name": {
"familyName": "<string>",
"givenName": "<string>"
},
"schemas": [
"<string>"
],
"userName": "<string>"
}
],
"schemas": [
"<string>"
],
"totalResults": 123
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

